<?php
session_start();
include 'db.php';

// Check if admin is logged in
if (!isset($_SESSION['admin_id'])) {
    header("Location: admin_login.php");
    exit();
}

// Fetch pending task submissions
$sql_pending_tasks = "SELECT * FROM task_submissions WHERE status = 'pending'";
$pending_tasks = $conn->query($sql_pending_tasks);

// Fetch pending withdrawals
$sql_pending_withdrawals = "SELECT * FROM withdrawals WHERE status = 'pending'";
$pending_withdrawals = $conn->query($sql_pending_withdrawals);

// Handle SQL errors
if ($pending_tasks === FALSE) {
    die("Error fetching pending tasks: " . $conn->error);
}

if ($pending_withdrawals === FALSE) {
    die("Error fetching pending withdrawals: " . $conn->error);
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="container mt-5">
        <h2 class="text-center">Admin Dashboard</h2>
        
        <div class="row">
            <!-- Pending Task Submissions -->
            <div class="col-md-6">
                <h4>Pending Task Submissions</h4>
                <?php if ($pending_tasks->num_rows > 0): ?>
                    <ul class="list-group">
                        <?php while ($task = $pending_tasks->fetch_assoc()): ?>
                            <li class="list-group-item">
                                <strong>Task ID:</strong> <?php echo $task['task_id']; ?><br>
                                <strong>User ID:</strong> <?php echo $task['user_id']; ?><br>
                                <strong>Proof:</strong> <img src="<?php echo $task['proof_image']; ?>" width="100" alt="Proof"><br>
                                <strong>Description:</strong> <?php echo $task['proof_text']; ?><br>
                                <form method="post" action="approve_task.php" class="mt-2">
                                    <input type="hidden" name="submission_id" value="<?php echo $task['id']; ?>">
                                    <button type="submit" name="action" value="approve" class="btn btn-success">Approve</button>
                                    <button type="submit" name="action" value="reject" class="btn btn-danger">Reject</button>
                                </form>
                            </li>
                        <?php endwhile; ?>
                    </ul>
                <?php else: ?>
                    <p>No pending task submissions.</p>
                <?php endif; ?>
            </div>
            
            <!-- Pending Withdrawals -->
            <div class="col-md-6">
                <h4>Pending Withdrawals</h4>
                <?php if ($pending_withdrawals->num_rows > 0): ?>
                    <ul class="list-group">
                        <?php while ($withdrawal = $pending_withdrawals->fetch_assoc()): ?>
                            <li class="list-group-item">
                                <strong>User ID:</strong> <?php echo $withdrawal['user_id']; ?><br>
                                <strong>Amount:</strong> <?php echo $withdrawal['coins']; ?> coins<br>
                                <form method="post" action="approve_withdrawal.php" class="mt-2">
                                    <input type="hidden" name="withdrawal_id" value="<?php echo $withdrawal['id']; ?>">
                                    <button type="submit" name="action" value="approve" class="btn btn-success">Approve</button>
                                    <button type="submit" name="action" value="reject" class="btn btn-danger">Reject</button>
                                </form>
                            </li>
                        <?php endwhile; ?>
                    </ul>
                <?php else: ?>
                    <p>No pending withdrawal requests.</p>
                <?php endif; ?>
            </div>
        </div>
        
        <div class="mt-4">
            <a href="admin_manage_tasks.php" class="btn btn-primary">Manage Tasks</a>
            <a href="admin_manage_users.php" class="btn btn-secondary">Manage Users</a>
        </div>
    </div>
</body>
</html>
