<?php
session_start();
include 'db.php';

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}

$user_id = $_SESSION['user_id'];
$sql = "SELECT * FROM users WHERE id = '$user_id'";
$result = $conn->query($sql);
$user = $result->fetch_assoc();

// Fetch referral link
$referral_link = "http://localhost/task_to_earn/register.php?user_id=" . $user_id;

// Fetch completed tasks
$sql_completed_tasks = "SELECT * FROM task_submissions WHERE user_id = '$user_id' AND status = 'completed'";
$completed_tasks = $conn->query($sql_completed_tasks);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard - Task to Earn</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .coin-card {
            border-radius: 15px;
            border: 1px solid #ddd;
            padding: 20px;
            text-align: center;
            background-color: #f8f9fa;
            margin-bottom: 20px;
        }
        .coin-card .coin-icon {
            font-size: 24px; /* Adjust the icon size */
            vertical-align: middle;
        }
        .nav-icons {
            text-align: center;
            margin: 20px 0;
        }
        .nav-icons a {
            margin: 0 15px;
            text-decoration: none;
            font-size: 24px;
            color: #007bff;
            display: inline-block;
            text-align: center;
        }
        .nav-icons a:hover {
            color: #0056b3;
        }
        .nav-icons i {
            display: block;
            margin-bottom: 5px;
        }
        .nav-icons span {
            display: block;
            font-size: 14px;
        }
        .card-title {
            font-size: 20px;
            font-weight: bold;
            margin-bottom: 15px;
        }
        .referral-card {
            border-radius: 15px;
            border: 1px solid #ddd;
            padding: 20px;
            background-color: #f8f9fa;
            margin-bottom: 20px;
        }
        .btn-copy {
            font-size: 14px; /* Adjusted to fit the height */
            height: calc(1.5em + .75rem + 2px); /* Match the height of the input box */
            padding: .375rem .75rem; /* Adjust padding to fit the new height */
        }
        .btn-share {
            margin-right: 10px;
        }
        .social-buttons a i {
            font-size: 48px; /* Increased icon size */
            color: #007bff;
            margin-right: 20px; /* Increase space between icons */
        }
        .social-buttons a i:hover {
            color: #0056b3;
        }
        .shorten-text {
            display: inline-block;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: 80px; /* Adjust this value as needed */
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <h2 class="text-center">Welcome, <?php echo $_SESSION['username']; ?>!</h2>
        
        <div class="row">
            <!-- Coin Balance -->
            <div class="col-md-4">
                <div class="card coin-card">
                    <div class="card-body">
                        <h5 class="card-title">
                            <i class="fas fa-coins coin-icon"></i>
                            <?php echo $user['coins']; ?>
                        </h5>
                    </div>
                </div>
            </div>

            <!-- Navigation Icons -->
            <div class="col-md-8">
                <div class="nav-icons">
                    <a href="tasks.php"><i class="fas fa-tasks"></i><span>Tasks</span></a>
                    <a href="daily_reward.php"><i class="fas fa-gift"></i><span>Daily Reward</span></a>
                    <a href="withdrawals.php"><i class="fas fa-wallet"></i><span>Withdrawals</span></a>
                    <a href="profile.php"><i class="fas fa-user"></i><span>Profile</span></a>
                </div>
            </div>
        </div>

        <!-- Referral Link -->
        <div class="row">
            <div class="col-md-8">
                <div class="card referral-card">
                    <div class="card-body">
                        <h5 class="card-title">Your Referral Link</h5>
                        <div class="d-flex align-items-center">
                            <input type="text" class="form-control me-2" id="referral-link" value="<?php echo $referral_link; ?>" readonly>
                            <button class="btn btn-primary btn-copy" onclick="copyToClipboard()">Copy</button>
                        </div>
                        <div class="mt-3">
                            <span class="social-buttons">
                            <a href="https://t.me/share/url?url=<?php echo urlencode($referral_link); ?>" target="_blank">
    <i class="fab fa-telegram" style="font-size: 38px; color: #007bff;"></i>
</a>
<a href="https://api.whatsapp.com/send?text=<?php echo urlencode($referral_link); ?>" target="_blank">
    <i class="fab fa-whatsapp" style="font-size: 38px; color: #007bff;"></i>
</a>
<a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode($referral_link); ?>" target="_blank">
    <i class="fab fa-facebook" style="font-size: 38px; color: #007bff;"></i>
</a>

                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Completed Tasks -->
        <div class="row mt-5">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Completed Tasks</h5>
                        <?php if ($completed_tasks->num_rows > 0): ?>
                            <ul class="list-group">
                                <?php while ($completed_task = $completed_tasks->fetch_assoc()): ?>
                                    <li class="list-group-item">
                                        <strong>Task ID:</strong> <?php echo $completed_task['task_id']; ?><br>
                                        <strong>Proof:</strong> <img src="<?php echo $completed_task['proof_image']; ?>" width="100" alt="Proof"><br>
                                        <strong>Description:</strong> <?php echo $completed_task['proof_text']; ?>
                                    </li>
                                <?php endwhile; ?>
                            </ul>
                        <?php else: ?>
                            <p>No completed tasks yet.</p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/js/all.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        function copyToClipboard() {
            var copyText = document.getElementById("referral-link");
            copyText.select();
            document.execCommand("copy");
            alert("Referral link copied to clipboard!");
        }
    </script>
    <!-- Footer Navigation Menu -->
    <div class="footer-nav bg-light fixed-bottom">
        <div class="container">
            <div class="row text-center">
                <div class="col-3">
                    <a href="dashboard.php" class="nav-link active">
                        <i class="fas fa-home"></i>
                        <span>Dashboard</span>
                    </a>
                </div>
                <div class="col-3">
                    <a href="tasks.php" class="nav-link">
                        <i class="fas fa-tasks"></i>
                        <span>Tasks</span>
                    </a>
                </div>
                <div class="col-3">
                    <a href="withdrawals.php" class="nav-link">
                        <i class="fas fa-wallet"></i>
                        <span>Withdraw</span>
                    </a>
                </div>
                <div class="col-3">
                    <a href="daily_reward.php" class="nav-link">
                        <i class="fas fa-gift"></i>
                        <span class="shorten-text">Daily Reward</span>
                    </a>
                </div>
            </div>
        </div>
    </div>

    <!-- CSS for the Footer Navigation -->
    <style>
        .footer-nav {
            padding: 10px 0;
            box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
            background: #fff;
            border-top: 1px solid #ddd;
        }
        .footer-nav .nav-link {
            color: #007bff;
            font-size: 16px;
            display: block;
            text-decoration: none;
            position;
        }
        .footer-nav .nav-link i {
            display: block;
            font-size: 24px;
            margin-bottom: 5px;
        }
        .footer-nav .nav-link span {
            display: block;
            font-size: 12px;
        }
        .footer-nav .nav-link.active {
            color: #0056b3;
            font-weight: bold;
        }
        .footer-nav .nav-link.active i {
            color: #0056b3;
        }
        .footer-nav .shorten-text {
            display: inline-block;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: 80px; /* Adjust this value as needed */
        }
    </style>

</body>
</html>
