<?php
session_start();
include 'db.php';

// Assuming the user_id is passed directly from the Telegram bot during the referral process
if (!isset($_SESSION['user_id'])) {
    // Handle the case where the user_id is not set, possibly an error page or a message.
    echo "Error: User ID not found.";
    exit;
}

$user_id = $_SESSION['user_id'];
$telegram_bot_username = 'thelions_bot'; // Your bot's username
$referral_code = "https://t.me/$telegram_bot_username?start=" . $user_id;

// Fetch referrals
$sql_referrals = "SELECT * FROM referrals WHERE referrer_id='$user_id'";
$referrals = $conn->query($sql_referrals);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Referrals</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="container mt-5">
        <h2 class="text-center">Referral Program</h2>
        <p>Your Referral Link:</p>
        <input type="text" class="form-control" value="<?php echo $referral_code; ?>" readonly>

        <h3 class="mt-5">Referral Stats</h3>
        <?php if ($referrals->num_rows > 0): ?>
            <ul class="list-group">
                <?php while ($referral = $referrals->fetch_assoc()): ?>
                    <li class="list-group-item">
                        <strong>Referral ID: <?php echo $referral['referred_user_id']; ?></strong>
                        <p>Coins Earned: <?php echo $referral['coins_earned']; ?></p>
                    </li>
                <?php endwhile; ?>
            </ul>
        <?php else: ?>
            <p>No referrals yet.</p>
        <?php endif; ?>
    </div>
</body>
</html>
